Convert quagga to new packaging style
authorNicolas Thill <nico@openwrt.org>
Thu, 19 May 2005 21:55:48 +0000 (21:55 +0000)
committerNicolas Thill <nico@openwrt.org>
Thu, 19 May 2005 21:55:48 +0000 (21:55 +0000)
SVN-Revision: 980

14 files changed:
openwrt/package/quagga/control/quagga-bgpd.control [deleted file]
openwrt/package/quagga/control/quagga-ospfd.control [deleted file]
openwrt/package/quagga/control/quagga-ripd.control [deleted file]
openwrt/package/quagga/control/quagga-zebra.control [deleted file]
openwrt/package/quagga/control/quagga.control [deleted file]
openwrt/package/quagga/ipkg/CONTROL/postinst [deleted file]
openwrt/package/quagga/ipkg/quagga-bgpd.control [new file with mode: 0644]
openwrt/package/quagga/ipkg/quagga-ospf6d.control [new file with mode: 0644]
openwrt/package/quagga/ipkg/quagga-ospfd.control [new file with mode: 0644]
openwrt/package/quagga/ipkg/quagga-ripd.control [new file with mode: 0644]
openwrt/package/quagga/ipkg/quagga-ripngd.control [new file with mode: 0644]
openwrt/package/quagga/ipkg/quagga-zebra.control [new file with mode: 0644]
openwrt/package/quagga/ipkg/quagga.control [new file with mode: 0644]
openwrt/package/quagga/ipkg/quagga.postinst [new file with mode: 0644]

diff --git a/openwrt/package/quagga/control/quagga-bgpd.control b/openwrt/package/quagga/control/quagga-bgpd.control
deleted file mode 100644 (file)
index 1b1e80f..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-Package: quagga-bgpd
-Priority: optional
-Section: net
-Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
-Source: buildroot internal
-Description: bgpd daemon
diff --git a/openwrt/package/quagga/control/quagga-ospfd.control b/openwrt/package/quagga/control/quagga-ospfd.control
deleted file mode 100644 (file)
index 9ebb2bb..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-Package: quagga-ospfd
-Priority: optional
-Section: net
-Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
-Source: buildroot internal
-Description: ospf daemon
diff --git a/openwrt/package/quagga/control/quagga-ripd.control b/openwrt/package/quagga/control/quagga-ripd.control
deleted file mode 100644 (file)
index eb42608..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-Package: quagga-ripd
-Priority: optional
-Section: net
-Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
-Source: buildroot internal
-Description: rip daemon
diff --git a/openwrt/package/quagga/control/quagga-zebra.control b/openwrt/package/quagga/control/quagga-zebra.control
deleted file mode 100644 (file)
index c948f2f..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-Package: quagga-zebra
-Priority: optional
-Section: net
-Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
-Source: buildroot internal
-Description: zebra daemon
diff --git a/openwrt/package/quagga/control/quagga.control b/openwrt/package/quagga/control/quagga.control
deleted file mode 100644 (file)
index 9045427..0000000
+++ /dev/null
@@ -1,6 +0,0 @@
-Package: quagga-all
-Priority: optional
-Section: net
-Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
-Source: buildroot internal
-Description: routing software package that provides TCP/IP based routing services with routing protocols support such as RIPv1, RIPv2, RIPng, OSPFv2, OSPFv3, BGP-4, and BGP-4+ 
diff --git a/openwrt/package/quagga/ipkg/CONTROL/postinst b/openwrt/package/quagga/ipkg/CONTROL/postinst
deleted file mode 100755 (executable)
index 0bb4bdd..0000000
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/sh
-
-name=quagga
-id=51
-
-# do not change below
-# check if we are on real system
-if [ -z "${IPKG_INSTROOT}" ]; then
-       # create copies of passwd and group, if we use squashfs
-       rootfs=`mount |awk '/root/ { print $5 }'`
-       if [ "$rootfs" = "squashfs" ]; then
-               if [ -h /etc/group ]; then
-                       rm /etc/group
-                       cp /rom/etc/group /etc/group
-               fi
-               if [ -h /etc/passwd ]; then
-                       rm /etc/passwd
-                       cp /rom/etc/passwd /etc/passwd
-               fi
-       fi
-fi
-
-echo ""
-if [ -z "$(grep ^\\${name}: ${IPKG_INSTROOT}/etc/group)" ]; then 
-       echo "adding group $name to /etc/group"
-       echo "${name}:x:${id}:" >> ${IPKG_INSTROOT}/etc/group  
-fi
-
-if [ -z "$(grep ^\\${name}: ${IPKG_INSTROOT}/etc/passwd)" ]; then 
-       echo "adding user $name to /etc/passwd"
-       echo "${name}:x:${id}:${id}:${name}:/tmp/.${name}:/bin/false" >> ${IPKG_INSTROOT}/etc/passwd
-fi
-
-grep -q '^zebra[[:space:]]*2601/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
-if [ $? -ne 0 ]; then  
-echo "zebrasrv      2600/tcp" >>${IPKG_INSTROOT}/etc/services
-echo "zebra         2601/tcp" >>${IPKG_INSTROOT}/etc/services
-echo "ripd          2602/tcp" >>${IPKG_INSTROOT}/etc/services
-echo "ripngd        2603/tcp" >>${IPKG_INSTROOT}/etc/services
-echo "ospfd         2604/tcp" >>${IPKG_INSTROOT}/etc/services
-echo "bgpd          2605/tcp" >>${IPKG_INSTROOT}/etc/services
-echo "ospf6d        2606/tcp" >>${IPKG_INSTROOT}/etc/services
-echo "ospfapi       2607/tcp" >>${IPKG_INSTROOT}/etc/services
-echo "isisd         2608/tcp" >>${IPKG_INSTROOT}/etc/services
-fi
diff --git a/openwrt/package/quagga/ipkg/quagga-bgpd.control b/openwrt/package/quagga/ipkg/quagga-bgpd.control
new file mode 100644 (file)
index 0000000..0c2c401
--- /dev/null
@@ -0,0 +1,7 @@
+Package: quagga-bgpd
+Priority: optional
+Section: net
+Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
+Source: buildroot internal
+Description: A BGPv4, BGPv4\+, BGPv4\- routing engine for use
+ with Quagga routing software
diff --git a/openwrt/package/quagga/ipkg/quagga-ospf6d.control b/openwrt/package/quagga/ipkg/quagga-ospf6d.control
new file mode 100644 (file)
index 0000000..07ecbe3
--- /dev/null
@@ -0,0 +1,7 @@
+Package: quagga-ospfd
+Priority: optional
+Section: net
+Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
+Source: buildroot internal
+Description: An OSPFv3 routing engine for use
+ with Quagga routing software
diff --git a/openwrt/package/quagga/ipkg/quagga-ospfd.control b/openwrt/package/quagga/ipkg/quagga-ospfd.control
new file mode 100644 (file)
index 0000000..eeab13a
--- /dev/null
@@ -0,0 +1,7 @@
+Package: quagga-ospfd
+Priority: optional
+Section: net
+Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
+Source: buildroot internal
+Description: An OSPFv2 routing engine for use
+ with Quagga routing software
diff --git a/openwrt/package/quagga/ipkg/quagga-ripd.control b/openwrt/package/quagga/ipkg/quagga-ripd.control
new file mode 100644 (file)
index 0000000..b9362d9
--- /dev/null
@@ -0,0 +1,7 @@
+Package: quagga-ripd
+Priority: optional
+Section: net
+Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
+Source: buildroot internal
+Description: A RIP routing engine for use
+ with Quagga routing software
diff --git a/openwrt/package/quagga/ipkg/quagga-ripngd.control b/openwrt/package/quagga/ipkg/quagga-ripngd.control
new file mode 100644 (file)
index 0000000..aed95e4
--- /dev/null
@@ -0,0 +1,7 @@
+Package: quagga-ripd
+Priority: optional
+Section: net
+Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
+Source: buildroot internal
+Description: A RIPNG routing engine for use
+ with Quagga routing software
diff --git a/openwrt/package/quagga/ipkg/quagga-zebra.control b/openwrt/package/quagga/ipkg/quagga-zebra.control
new file mode 100644 (file)
index 0000000..b42fc56
--- /dev/null
@@ -0,0 +1,7 @@
+Package: quagga-zebra
+Priority: optional
+Section: net
+Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
+Source: buildroot internal
+Description: A routing manager for use
+ with associated Quagga components
diff --git a/openwrt/package/quagga/ipkg/quagga.control b/openwrt/package/quagga/ipkg/quagga.control
new file mode 100644 (file)
index 0000000..df98871
--- /dev/null
@@ -0,0 +1,8 @@
+Package: quagga
+Priority: optional
+Section: net
+Maintainer: Johannes 5 Joemann <joemann@beefree.free.de>
+Source: buildroot internal
+Description: A routing software package that provides TCP/IP
+ based routing services with routing protocols support such
+ as RIPv1, RIPv2, RIPng, OSPFv2, OSPFv3, BGP-4, and BGP-4+.
diff --git a/openwrt/package/quagga/ipkg/quagga.postinst b/openwrt/package/quagga/ipkg/quagga.postinst
new file mode 100644 (file)
index 0000000..0bb4bdd
--- /dev/null
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+name=quagga
+id=51
+
+# do not change below
+# check if we are on real system
+if [ -z "${IPKG_INSTROOT}" ]; then
+       # create copies of passwd and group, if we use squashfs
+       rootfs=`mount |awk '/root/ { print $5 }'`
+       if [ "$rootfs" = "squashfs" ]; then
+               if [ -h /etc/group ]; then
+                       rm /etc/group
+                       cp /rom/etc/group /etc/group
+               fi
+               if [ -h /etc/passwd ]; then
+                       rm /etc/passwd
+                       cp /rom/etc/passwd /etc/passwd
+               fi
+       fi
+fi
+
+echo ""
+if [ -z "$(grep ^\\${name}: ${IPKG_INSTROOT}/etc/group)" ]; then 
+       echo "adding group $name to /etc/group"
+       echo "${name}:x:${id}:" >> ${IPKG_INSTROOT}/etc/group  
+fi
+
+if [ -z "$(grep ^\\${name}: ${IPKG_INSTROOT}/etc/passwd)" ]; then 
+       echo "adding user $name to /etc/passwd"
+       echo "${name}:x:${id}:${id}:${name}:/tmp/.${name}:/bin/false" >> ${IPKG_INSTROOT}/etc/passwd
+fi
+
+grep -q '^zebra[[:space:]]*2601/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then  
+echo "zebrasrv      2600/tcp" >>${IPKG_INSTROOT}/etc/services
+echo "zebra         2601/tcp" >>${IPKG_INSTROOT}/etc/services
+echo "ripd          2602/tcp" >>${IPKG_INSTROOT}/etc/services
+echo "ripngd        2603/tcp" >>${IPKG_INSTROOT}/etc/services
+echo "ospfd         2604/tcp" >>${IPKG_INSTROOT}/etc/services
+echo "bgpd          2605/tcp" >>${IPKG_INSTROOT}/etc/services
+echo "ospf6d        2606/tcp" >>${IPKG_INSTROOT}/etc/services
+echo "ospfapi       2607/tcp" >>${IPKG_INSTROOT}/etc/services
+echo "isisd         2608/tcp" >>${IPKG_INSTROOT}/etc/services
+fi